<?php

declare(strict_types = 1);

namespace Drupal\brightcove_gallery\Services;

/**
 * In-Page Experience settings interface.
 */
interface InPageExperienceSettingsInterface {

  /**
   * Gets cache seconds.
   *
   * @return int
   *   The cache seconds.
   */
  public function getCacheSeconds(): int;

  /**
   * Sets the cache seconds.
   *
   * @param int $seconds
   *   The cache seconds. Setting -1 means that the related entities will be
   *   cached until the related caches are invalidated.
   */
  public function setCacheSeconds(int $seconds): void;

}
